import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:one_common_styles/style_dictionary_sizes.dart';
import 'package:one_common_styles/unique_file/style_dictionary.dart';

class OneButton extends StatelessWidget{
  String msg;
  OneButton({this.msg = 'test'});

  @override
  Widget build(BuildContext context) {
    return FlatButton(
      color: StyleDictionary.colorBaseGrayLight,
      textColor: StyleDictionary.colorBaseGrayDark,
      child: Text(msg, style: TextStyle(color: StyleDictionary.colorBaseRed, fontSize: StyleDictionarySize.fontMedium),),
    );
  }
}

class OneDarkButton extends StatelessWidget{
  String msg;
  OneDarkButton({this.msg = 'testDark'});

  @override
  Widget build(BuildContext context) {
    return FlatButton(
      color: StyleDictionary.colorBaseGrayDark,
      textColor: StyleDictionary.colorBaseGrayDark,
      child: Text(msg, style: TextStyle(color: StyleDictionary.colorBaseGreen, fontSize: StyleDictionarySize.fontLarge),),
    );
  }
}